# adding https redirection :
RewriteEngine On
RewriteCond %{HTTPS} off
RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [R,L]

# denying access
# https://stackoverflow.com/questions/8217430/how-to-redirect-only-when-exact-url-matches
RedirectMatch 403 ^/docs/?$
RedirectMatch 403 ^/styles/?$
RedirectMatch 403 ^/styles/.*$
#RedirectMatch 403 ^/.git/?$
RedirectMatch 403 ^/README.md$
RedirectMatch 403 ^/alphabet.txt$
#RedirectMatch 403 ^/.htaccess$
RedirectMatch 403 ^/.gitignore$
